API Reference
Preserves accepted clips and creates an official recovery batch in the same project folder for the missing count.
Authorization
ApiKeyAuth Authorization<token>
Use Bearer br_live_....
In: header
Path Parameters
batch_id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/clip-batches/string/recover" \ -H "Content-Type: application/json" \ -d '{}'{ "source_batch_id": "string", "recovery_batch_id": "string", "project_folder_id": "string", "status": "satisfied", "target_clip_count": -9007199254740991, "retained_clip_count": -9007199254740991, "refill_clip_count": -9007199254740991, "unfilled_clip_count": -9007199254740991, "processing_run_id": "string", "queue_reason": "string", "next_action": "poll", "duration_policy": { "mode": "quality_first", "target_max_seconds": 0, "suggestion_boundaries_preserved": true }}